Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# Obsolete Members for QProgressBar

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

QProgressBar class reference

### Public Functions

- QProgressBar ( QWidget * parent, const char * name, Qt::WFlags f = 0 ) `(obsolete)`
- QProgressBar ( int totalSteps, QWidget * parent, const char * name, Qt::WFlags f = 0 ) `(obsolete)`

## Member Function Documentation

### QProgressBar::QProgressBar ( QWidget * parent, const char * name, Qt::WFlags f = 0 )

Constructs a progress bar.

The total number of steps is set to 100 by default.

The parent, name and widget flags, f, are passed on to the QFrame::QFrame() constructor.

See also setTotalSteps().

### QProgressBar::QProgressBar ( int totalSteps, QWidget * parent, const char * name, Qt::WFlags f = 0 )

Constructs a progress bar.

The totalSteps is the total number of steps that need to be completed for the operation which this progress bar represents. For example, if the operation is to examine 50 files, this value would be 50. Before examining the first file, call setProgress(0); call setProgress(50) after examining the last file.

The parent, name and widget flags, f, are passed to the QFrame::QFrame() constructor.

See also setTotalSteps() and setProgress().